<?php

use Illuminate\Support\Facades\Broadcast;

/*
|--------------------------------------------------------------------------
| Broadcast Channels
|--------------------------------------------------------------------------
|
| Здесь ты регистрируешь каналы для вещания через WebSocket.
| Определи, кто может слушать приватные и присутствующие каналы.
|
*/
/*
Broadcast::channel('requests', function ($user) {
    return $user !== null;
});*/
Broadcast::channel('user.{id}', function ($user, $id) {
    return (int) $user->id === (int) $id;
});

